Synq Docs
Management APIOrgs

List the org's invoices

Its invoices from Stripe, newest first, a page at a time (`after`, the last one's id); none before it has checked out. Needs `org.billing.view`.

GET/v1/orgs/{org}/billing/invoices

Its invoices from Stripe, newest first, a page at a time (after, the last one's id); none before it has checked out. Needs org.billing.view.

Authorization

bearer
AuthorizationBearer <token>

An org API key (sk_live_…, sk_test_…), or an access token from the Synq issuer (the synq brand, on the accounts host) for this API.

In: header

Path Parameters

org*string

Query Parameters

limit?integer
Range1 <= value <= 100
Default20
after?string

The last invoice of the page before, for the next one

Match^in_[A-Za-z0-9]+$

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/orgs/string/billing/invoices"
{  "data": [    {      "id": "string",      "number": "string",      "status": "string",      "currency": "string",      "total_cents": 0,      "amount_due_cents": 0,      "created": "2019-08-24T14:15:22Z",      "period_start": "2019-08-24T14:15:22Z",      "period_end": "2019-08-24T14:15:22Z",      "hosted_invoice_url": "http://example.com",      "invoice_pdf": "http://example.com"    }  ],  "has_more": true}